Description: Ignore DeprecationWarning during tests
Forwarded: https://github.com/encode/uvicorn/discussions/2530
Author: Julian Gilbey <jdg@debian.org>
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1088725
Last-Update: 2024-12-09

--- a/pyproject.toml
+++ b/pyproject.toml
@@ -100,7 +100,10 @@
     'ignore: \"watchgod\" is deprecated\, you should switch to watchfiles \(`pip install watchfiles`\)\.:DeprecationWarning',
     "ignore:Uvicorn's native WSGI implementation is deprecated.*:DeprecationWarning",
     "ignore: 'cgi' is deprecated and slated for removal in Python 3.13:DeprecationWarning",
-    "ignore: remove second argument of ws_handler:DeprecationWarning:websockets"
+    "ignore: remove second argument of ws_handler:DeprecationWarning:websockets",
+    'ignore: websockets.legacy is deprecated:DeprecationWarning',
+    'ignore: websockets.server.WebSocketServerProtocol is deprecated:DeprecationWarning',
+    'ignore: websockets.client.connect is deprecated:DeprecationWarning'
 ]
 
 [tool.coverage.run]
